
#ifndef  ICS_RL78G1F_H
#define  ICS_RL78G1F_H

//#define   ICS_R5F11B7E    /* 24pin ROM=64kB */
//#define   ICS_R5F11BBE    /* 32pin ROM=64kB */
//#define   ICS_R5F11BCE    /* 36pin ROM=64kB */
//#define   ICS_R5F11BGE    /* 48pin ROM=64kB */
#define   ICS_R5F11BLE    /* 64pin ROM=64kB */

#ifdef  ICS_R5F11B7E
  #define   ICS_SCI0_P51_P50    (0x00)  /* Not supported */
  #define   ICS_SCI0_P17_P16    (0x01)  /* Not supported */
  #define   ICS_SCI1_P00_P01    (0x11)  /* Not supported */
  #define   ICS_SCI1_P72_P73    (0x12)  /* Not supported */
#endif

#ifdef  ICS_R5F11BBE
  #define   ICS_SCI0_P51_P50    (0x00)
  #define   ICS_SCI0_P17_P16    (0x01)  /* Not supported */
  #define   ICS_SCI1_P00_P01    (0x11)  /* Not supported */
  #define   ICS_SCI1_P72_P73    (0x12)  /* Not supported */
#endif

#ifdef  ICS_R5F11BCE
  #define   ICS_SCI0_P51_P50    (0x00)  /* Not supported */
  #define   ICS_SCI0_P17_P16    (0x01)  /* Not supported */
  #define   ICS_SCI1_P00_P01    (0x11)  /* Not supported */
#endif

#ifdef  ICS_R5F11BGE
  #define   ICS_SCI0_P51_P50    (0x00)  /* Not supported */
  #define   ICS_SCI0_P17_P16    (0x01)  /* Not supported */
  #define   ICS_SCI1_P00_P01    (0x11)  /* Not supported */
  #define   ICS_SCI1_P72_P73    (0x12)  /* Not supported */
#endif

#ifdef  ICS_R5F11BLE
  #define   ICS_SCI0_P51_P50    (0x00)
  #define   ICS_SCI0_P17_P16    (0x01)
  #define   ICS_SCI1_P02_P03    (0x10)  /* Not supported */
  #define   ICS_SCI2_P77_P76    (0x20)
#endif

void  ics_init(unsigned int addr, char pin, char level, unsigned char num);
void  ics_watchpoint(void); 

void  int_ics_sci_tx(void);
void  int_ics_sci_rx(void);
void  int_ics_sci_err(void);

#endif  /* ICS_RL78G1F_H */
